error while trying to instal the OTB, can anybody help me to fix this ?
Status: Closed

Priority: Normal

Assignee: Rashad Kanavath

Category: Processing/OTB

Affected QGIS version:3.4.6 Regression?: No

Operating System: Mac OS / High Sierra version 10.3.4 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 29618

Description

Hi all, I got the below error while trying to instal the OTB, can anybody help me to fix this ? Please explain in a non coder friendly way :)

THX

An error occurred during execution of following code:

pyplugin_installer.instance().deleteRepository('chmod +x OTB-6.6.1-Darwin64.run

.')

File "", line 1

pyplugin_installer.instance().deleteRepository('chmod +x OTB-6.6.1-Darwin64.run

^

SyntaxError: EOL while scanning string literal

Python version:

3.6.8 (v3.6.8:3c6b436a57, Dec 24 2018, 02:04:31)

[GCC 4.2.1 Compatible Apple LLVM 6.0 (clang-600.0.57)]

QGIS version:

3.4.6-Madeira 'Madeira', exported

Python path:

['/Applications/QGIS3.app/Contents/MacOS/../Resources/python', '/Users/Mycomputer/Library/Application

Support/QGIS/QGIS3/profiles/default/python', '/Users/Mycomputer/Library/Application

Support/QGIS/QGIS3/profiles/default/python/plugins', '/Applications/QGIS3.app/Contents/MacOS/../Resources/python/plugins',

'/Library/Frameworks/SQLite3.framework/Versions/E/Python/3.6',

'/Library/Frameworks/Python.framework/Versions/3.6/lib/python36.zip',

'/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6',

'/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload',

'/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages', '/Users/Mycomputer//Library/Application

Support/QGIS/QGIS3/profiles/default/python', '/Users/Mycomputer//Library/Application

Support/QGIS/QGIS3/profiles/default/python/plugins/cluz/forms', '/Users/Mycomputer//Library/Application

Support/QGIS/QGIS3/profiles/default/python/plugins/cluz/forms', '/Users/Mycomputer//Library/Application

Support/QGIS/QGIS3/profiles/default/python/plugins/cluz/forms', '/Users/Mycomputer//Library/Application

Support/QGIS/QGIS3/profiles/default/python/plugins/cluz/forms', '/Users/Mycomputer//Library/Application

Support/QGIS/QGIS3/profiles/default/python/plugins/cluz/forms', 'D:\eclipse\plugins\org.python.pydev.core_7.0.3.201811082356\pysrc']

History

#1 - 2019-04-10 06:07 PM - Giovanni Manghi

- Priority changed from High to Normal
- Status changed from Open to Feedback

Have you followed the instructions here? https://gitlab.orfeo-toolbox.org/orfeotoolbox/qgis-otb-plugin

#2 - 2019-04-12 05:59 PM - Mila C

Giovanni Manghi wrote:

Have you followed the instructions here? https://gitlab.orfeo-toolbox.org/orfeotoolbox/qgis-otb-plugin

Hi, thx, I managed to fully install OTB on my MAC and it is now fully functional. However, the error shown above remains and it is very annoying because it

shows up every time I open the plugins manager ! I think, it is from the first time that I tried to installed OTB and followed the wrong instructions. Any idea

how to delete that error ? thx again

#3 - 2019-04-12 08:04 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Mila C wrote:

Giovanni Manghi wrote:

Have you followed the instructions here? https://gitlab.orfeo-toolbox.org/orfeotoolbox/qgis-otb-plugin

Hi, thx, I managed to fully install OTB on my MAC and it is now fully functional. However, the error shown above remains and it is very annoying

because it shows up every time I open the plugins manager ! I think, it is from the first time that I tried to installed OTB and followed the wrong

instructions. Any idea how to delete that error ? thx again

you have a very "funny" name for your otb repo connection, maybe is the source of the problem?
